# [3.0.0](https://github.com/JamieMason/ImageOptim-CLI/compare/2.3.9...3.0.0) (2019-09-15)


### Bug Fixes

* **cli:** exit with error status if an app is not installed ([6c3d799](https://github.com/JamieMason/ImageOptim-CLI/commit/6c3d799)), closes [#180](https://github.com/JamieMason/ImageOptim-CLI/issues/180)
* **cli:** handle upper case file extensions ([e7c84ac](https://github.com/JamieMason/ImageOptim-CLI/commit/e7c84ac)), closes [#181](https://github.com/JamieMason/ImageOptim-CLI/issues/181)
* **npm:** update npm dependencies ([b492ad2](https://github.com/JamieMason/ImageOptim-CLI/commit/b492ad2))


### Performance Improvements

* **cli:** reduce memory consumption ([3166245](https://github.com/JamieMason/ImageOptim-CLI/commit/3166245)), closes [#173](https://github.com/JamieMason/ImageOptim-CLI/issues/173)


### BREAKING CHANGES

* **cli:** The following scenarios will display an error and exit with a status
code of 1, where previously they would display a warning:

+ Not using `--no-imageoptim` when ImageOptim.app is not installed.
+ Using `--imagealpha` when ImageAlpha.app is not installed.
+ Using `--jpegmini` when JPEGmini.app is not installed.



## [2.3.9](https://github.com/JamieMason/ImageOptim-CLI/compare/2.3.8...2.3.9) (2019-07-16)


### Bug Fixes

* **npm:** potential security vulnerability ([cd48880](https://github.com/JamieMason/ImageOptim-CLI/commit/cd48880))



## [2.3.8](https://github.com/JamieMason/ImageOptim-CLI/compare/2.3.7...2.3.8) (2019-07-16)


### Bug Fixes

* **npm:** potential security vulnerability ([1560041](https://github.com/JamieMason/ImageOptim-CLI/commit/1560041)), closes [#178](https://github.com/JamieMason/ImageOptim-CLI/issues/178)



## [2.3.7](https://github.com/JamieMason/ImageOptim-CLI/compare/2.3.6...2.3.7) (2019-07-01)


### Bug Fixes

* **npm:** revert nexe update ([c3aa684](https://github.com/JamieMason/ImageOptim-CLI/commit/c3aa684)), closes [#176](https://github.com/JamieMason/ImageOptim-CLI/issues/176) [#163](https://github.com/JamieMason/ImageOptim-CLI/issues/163)



## [2.3.6](https://github.com/JamieMason/ImageOptim-CLI/compare/2.3.5...2.3.6) (2019-06-17)


### Bug Fixes

* **npm:** update dependencies ([a154af0](https://github.com/JamieMason/ImageOptim-CLI/commit/a154af0))



## [2.3.5](https://github.com/JamieMason/ImageOptim-CLI/compare/2.3.4...2.3.5) (2019-02-02)


### Bug Fixes

* **npm:** update npm dependencies ([16897a0](https://github.com/JamieMason/ImageOptim-CLI/commit/16897a0)), closes [#172](https://github.com/JamieMason/ImageOptim-CLI/issues/172)



## [2.3.4](https://github.com/JamieMason/ImageOptim-CLI/compare/2.0.4...2.3.4) (2018-12-23)


### Features

* **cli:** only output summary when savings are made ([b44c078](https://github.com/JamieMason/ImageOptim-CLI/commit/b44c078))
* **cli:** show warning when ImageOptim.app is not installed ([44f3055](https://github.com/JamieMason/ImageOptim-CLI/commit/44f3055))
* **nexe:** upgrade to node.js 10.13.0 and es2017 ([dddd9ff](https://github.com/JamieMason/ImageOptim-CLI/commit/dddd9ff))



## [2.0.4](https://github.com/JamieMason/ImageOptim-CLI/compare/2.0.3...2.0.4) (2018-11-07)


### Bug Fixes

* **npm:** update dependencies ([a5b3ec8](https://github.com/JamieMason/ImageOptim-CLI/commit/a5b3ec8))



## [2.0.3](https://github.com/JamieMason/ImageOptim-CLI/compare/2.0.2...2.0.3) (2018-06-13)


### Bug Fixes

* **npm:** update dependencies ([3e1259f](https://github.com/JamieMason/ImageOptim-CLI/commit/3e1259f)), closes [#166](https://github.com/JamieMason/ImageOptim-CLI/issues/166)



## [2.0.2](https://github.com/JamieMason/ImageOptim-CLI/compare/2.0.0...2.0.2) (2018-05-14)


### Bug Fixes

* **cli:** rename bin to imageoptim in help output ([534c87f](https://github.com/JamieMason/ImageOptim-CLI/commit/534c87f))
* **nexe:** fix __dirname not behaving as expected ([05b9ca3](https://github.com/JamieMason/ImageOptim-CLI/commit/05b9ca3)), closes [#163](https://github.com/JamieMason/ImageOptim-CLI/issues/163)



# [2.0.0](https://github.com/JamieMason/ImageOptim-CLI/compare/1.15.4...2.0.0) (2018-05-13)


### Features

* **core:** rewrite imageoptim-cli in node.js ([3faa790](https://github.com/JamieMason/ImageOptim-CLI/commit/3faa790)), closes [#137](https://github.com/JamieMason/ImageOptim-CLI/issues/137) [#140](https://github.com/JamieMason/ImageOptim-CLI/issues/140) [#141](https://github.com/JamieMason/ImageOptim-CLI/issues/141) [#148](https://github.com/JamieMason/ImageOptim-CLI/issues/148) [#159](https://github.com/JamieMason/ImageOptim-CLI/issues/159)



## [1.15.4](https://github.com/JamieMason/ImageOptim-CLI/compare/1.15.3...1.15.4) (2017-11-22)


### Bug Fixes

* **osx:** add support for high sierra ([e25bfce](https://github.com/JamieMason/ImageOptim-CLI/commit/e25bfce))



## [1.15.3](https://github.com/JamieMason/ImageOptim-CLI/compare/1.15.1...1.15.3) (2017-11-14)


### Bug Fixes

* **duplicates:** support multibyte characters ([43d6ce7](https://github.com/JamieMason/ImageOptim-CLI/commit/43d6ce7))
* **osx:** add support for high sierra ([6208dc4](https://github.com/JamieMason/ImageOptim-CLI/commit/6208dc4)), closes [#152](https://github.com/JamieMason/ImageOptim-CLI/issues/152)



## [1.15.1](https://github.com/JamieMason/ImageOptim-CLI/compare/1.14.9...1.15.1) (2017-06-29)


### Bug Fixes

* **file index:** handle cases where no files are found or passed in ([b9b4f7a](https://github.com/JamieMason/ImageOptim-CLI/commit/b9b4f7a))


### Features

* **pngquant:** binary update to 2.9.1 ([8182b51](https://github.com/JamieMason/ImageOptim-CLI/commit/8182b51))



## [1.14.9](https://github.com/JamieMason/ImageOptim-CLI/compare/1.14.8...1.14.9) (2017-02-05)


### Bug Fixes

* **jpegmini:** the text field in sierra has changed to a combo box ([2f711bb](https://github.com/JamieMason/ImageOptim-CLI/commit/2f711bb)), closes [#129](https://github.com/JamieMason/ImageOptim-CLI/issues/129)



## [1.14.8](https://github.com/JamieMason/ImageOptim-CLI/compare/1.11.4...1.14.8) (2016-02-09)


### Bug Fixes

* **examples:** remove shell syntax highlighting ([0344ae7](https://github.com/JamieMason/ImageOptim-CLI/commit/0344ae7))
* **filesystem:** remove additional trailing slash after $TMPDIR ([6b60e32](https://github.com/JamieMason/ImageOptim-CLI/commit/6b60e32)), closes [#87](https://github.com/JamieMason/ImageOptim-CLI/issues/87)


### Features

* **logging:** per-file reporting is now opt-in via a --verbose flag ([4c9a489](https://github.com/JamieMason/ImageOptim-CLI/commit/4c9a489))
* **pngquant:** add --skip-if-larger option ([9904253](https://github.com/JamieMason/ImageOptim-CLI/commit/9904253))
* **pngquant:** replace hard-coded value with -m/--min-quality param ([699d8c8](https://github.com/JamieMason/ImageOptim-CLI/commit/699d8c8))



## [1.11.4](https://github.com/JamieMason/ImageOptim-CLI/compare/1.11.3...1.11.4) (2014-11-04)



## [1.11.3](https://github.com/JamieMason/ImageOptim-CLI/compare/1.11.2...1.11.3) (2014-10-31)



## [1.11.2](https://github.com/JamieMason/ImageOptim-CLI/compare/1.7.11...1.11.2) (2014-10-31)



## [1.7.11](https://github.com/JamieMason/ImageOptim-CLI/compare/1.7.10...1.7.11) (2014-01-23)



## [1.7.10](https://github.com/JamieMason/ImageOptim-CLI/compare/1.7.9...1.7.10) (2013-12-11)



## [1.7.9](https://github.com/JamieMason/ImageOptim-CLI/compare/1.7.3...1.7.9) (2013-12-10)



## [1.7.3](https://github.com/JamieMason/ImageOptim-CLI/compare/1.7.2...1.7.3) (2013-11-17)



## [1.7.2](https://github.com/JamieMason/ImageOptim-CLI/compare/1.7.1...1.7.2) (2013-11-12)



## [1.7.1](https://github.com/JamieMason/ImageOptim-CLI/compare/1.7.0...1.7.1) (2013-11-10)



# [1.7.0](https://github.com/JamieMason/ImageOptim-CLI/compare/1.6.19...1.7.0) (2013-11-10)



## [1.6.19](https://github.com/JamieMason/ImageOptim-CLI/compare/1.6.18...1.6.19) (2013-08-10)



## [1.6.18](https://github.com/JamieMason/ImageOptim-CLI/compare/1.6.15...1.6.18) (2013-07-31)



## [1.6.15](https://github.com/JamieMason/ImageOptim-CLI/compare/1.6.14...1.6.15) (2013-07-30)



## [1.6.14](https://github.com/JamieMason/ImageOptim-CLI/compare/1.6.13...1.6.14) (2013-07-16)



## [1.6.13](https://github.com/JamieMason/ImageOptim-CLI/compare/1.6.12...1.6.13) (2013-07-14)



## [1.6.12](https://github.com/JamieMason/ImageOptim-CLI/compare/1.6.11...1.6.12) (2013-07-01)



## [1.6.11](https://github.com/JamieMason/ImageOptim-CLI/compare/1.4.5...1.6.11) (2013-06-30)



## [1.4.5](https://github.com/JamieMason/ImageOptim-CLI/compare/1.4.4...1.4.5) (2013-06-19)



## [1.4.4](https://github.com/JamieMason/ImageOptim-CLI/compare/1.4.3...1.4.4) (2013-06-13)



## [1.4.3](https://github.com/JamieMason/ImageOptim-CLI/compare/1.4.2...1.4.3) (2013-06-13)



## [1.4.2](https://github.com/JamieMason/ImageOptim-CLI/compare/1.4.1...1.4.2) (2013-06-10)



## [1.4.1](https://github.com/JamieMason/ImageOptim-CLI/compare/1.3.2...1.4.1) (2013-06-10)



## [1.3.2](https://github.com/JamieMason/ImageOptim-CLI/compare/1.3.1...1.3.2) (2013-06-08)



## [1.3.1](https://github.com/JamieMason/ImageOptim-CLI/compare/1.1.5...1.3.1) (2013-05-26)



## [1.1.5](https://github.com/JamieMason/ImageOptim-CLI/compare/1.1.4...1.1.5) (2013-05-24)



## [1.1.4](https://github.com/JamieMason/ImageOptim-CLI/compare/1.1.3...1.1.4) (2013-05-22)



## [1.1.3](https://github.com/JamieMason/ImageOptim-CLI/compare/1.1.2...1.1.3) (2013-05-20)



## [1.1.2](https://github.com/JamieMason/ImageOptim-CLI/compare/1.1.1...1.1.2) (2013-05-19)



## [1.1.1](https://github.com/JamieMason/ImageOptim-CLI/compare/1.0.4...1.1.1) (2013-05-19)



## [1.0.4](https://github.com/JamieMason/ImageOptim-CLI/compare/1.0.0...1.0.4) (2013-05-18)



# [1.0.0](https://github.com/JamieMason/ImageOptim-CLI/compare/0.0.6...1.0.0) (2013-05-17)



## 0.0.6 (2013-03-03)



